Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class WText

    java.lang.Object
      LumiSoft.UI.Controls.WText

    public class WText

extends java.lang.Object

Constructor Summary
`WText(java.io.InputStream textsXmlStream, java.lang.String language)`
`WText(java.lang.String textsFile, java.lang.String language)`

Method Summary
`void` | `addLanguageChangedListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action events from this button.
`void` | `ChangeLanguage(java.lang.String language)` Changes language to use.
`java.lang.String` | `get(java.lang.String textID)` Gets text with specified textID and with default language.
`java.lang.String[]` | `getLanguages()` Gets supported languages.
`DataSet` | `GetTexts(java.lang.String txtNumbers)` Get specified texts from local file.
`void` | `removeLanguageChangedListener(java.awt.event.ActionListener l)` Removes the specified action listener so it no longer receives action events from this button.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WText

    public WText(java.io.InputStream textsXmlStream,
                 java.lang.String language)
          throws java.lang.Exception

Throws:
  `java.lang.Exception`

### WText

    public WText(java.lang.String textsFile,
                 java.lang.String language)
          throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### ChangeLanguage

    public void ChangeLanguage(java.lang.String language)
                        throws java.lang.Exception

  Changes language to use.

  Parameters:
    `language` -
  Throws:
    `java.lang.Exception`

### GetTexts

    public DataSet GetTexts(java.lang.String txtNumbers)

  Get specified texts from local file.

  Parameters:
    `txtNumbers` - Text numbers, separated by ','.
  Returns:
    Returns DataSet containing "Text" table with one DataRowr.

### get

    public java.lang.String get(java.lang.String textID)

  Gets text with specified textID and with default language.

  Parameters:
    `textID` -
  Returns:

### getLanguages

    public java.lang.String[] getLanguages()

  Gets supported languages.

  Returns:

### addLanguageChangedListener

    public void addLanguageChangedListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action events from this button.

  Parameters:
    `l` - the action listener

### removeLanguageChangedListener

    public void removeLanguageChangedListener(java.awt.event.ActionListener l)

  Removes the specified action listener so it no longer receives action events from this button.

  Parameters:
    `l` - the action listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD